function tutorial_runFlow()
	cfunction("debugPrintB", "[FLOW] tutorial_runFlow", arcade_curState)		
	cfunction("debugPrintB", "[FLOW] tutorialId", flow_tutorialToShow)
	
	if tutorial_curState == 1 then		
		cfunction("setDataOptions", "trackId", flow_tutorialToShow)
		
		cfunction("setDataOptions", "destructiblesId", 0)
		cfunction("setDataOptions", "weaponPickupId", 0)
		cfunction("setDataOptions", "smePickupId", 0)
		cfunction("setDataOptions", "numberOfOpponents", 1)
				
		if flow_tutorialToShow == 1 then				
			cfunction("debugPrintS", "[FLOW] Settings options for 1st tutorial")
		elseif flow_tutorialToShow == 2 then
			cfunction("debugPrintS", "[FLOW] Settings options for 2nd tutorial")
			cfunction("setDataOptions", "smePickupId", 1)
		elseif flow_tutorialToShow == 3 then				
			cfunction("debugPrintS", "[FLOW] Settings options for 3rd tutorial")
			cfunction("setDataOptions", "destructiblesId", 1)
		elseif flow_tutorialToShow == 4 then			
			cfunction("setDataOptions", "destructiblesId", 1)
			cfunction("setDataOptions", "weaponPickupId", 1)
			cfunction("debugPrintS", "[FLOW] Settings options for 4th tutorial")
		end	
		
		cfunction("addAction", "startTrack", 0)
		tutorial_curState =2
	elseif tutorial_curState == 2 then -- exit tutorial
		tutorial_curState = 1
		cfunction("addAction", "stopTrack", 0)				
		flow_flowStateInMenu = 1
	elseif tutorial_curState == 3 then -- restart tutorial
		cfunction("addAction", "stopTrack", 0)
		cfunction("addAction", "startTrack", 0)
		tutorial_curState = 2
	elseif tutorial_curState == 4 then -- tutorial completed, continue to tournament
		cfunction("addAction", "stopTrack", 0)
		cfunction("addAction", "changeGameMode", gameTypesIds["TOURNAMENT"])
	end
end


function tutorial_resetFlow()
	tutorial_curState = 1
end
